<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <title>Guess the Color!</title>
    <style>
        body {
            font-family: Arial, sans-serif;
            text-align: center;
            margin-top: 50px;
        }

        h1 {
            color: #333;
        }

        .button {
            display: inline-block;
            padding: 10px 20px;
            margin: 10px;
            border: none;
            border-radius: 5px;
            color: white;
            font-size: 16px;
            cursor: pointer;
            transition: background-color 0.3s;
        }

        .red {
            background-color: #E57373;
        }

        .red:hover {
            background-color: #EF5350;
        }

        .blue {
            background-color: #64B5F6;
        }

        .blue:hover {
            background-color: #42A5F5;
        }

        .green {
            background-color: #81C784;
        }

        .green:hover {
            background-color: #66BB6A;
        }

        .yellow {
            background-color: #FFD54F;
        }

        .yellow:hover {
            background-color: #FFCA28;
        }
    </style>
</head>

<body>
    <h1>Guess the Color!</h1>
    <form action="/guess" method="get">
        <button name="color" value="red" class="button red">Red</button>
        <button name="color" value="blue" class="button blue">Blue</button>
        <button name="color" value="green" class="button green">Green</button>
        <button name="color" value="yellow" class="button yellow">Yellow</button>
    </form>
</body>

</html>